it.csi.mddtools.guigen

## Interface InternalAuthenticationGuard

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface InternalAuthenticationGuard
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Internal Authentication Guard'.

  The following features are supported:

  - `Login Module`
  - `Params`
  See Also:
    `GuigenPackage.getInternalAuthenticationGuard()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoginModule` | `getLoginModule()` Returns the value of the 'Login Module' containment reference
    `EnvConfigParams` | `getParams()` Returns the value of the 'Params' containment reference
    `void` | `setLoginModule(LoginModule value)` Sets the value of the '`Login Module`' containment reference
    `void` | `setParams(EnvConfigParams value)` Sets the value of the '`Params`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLoginModule

          LoginModule getLoginModule()

      Returns the value of the 'Login Module' containment reference.

      If the meaning of the 'Login Module' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Login Module' containment reference.
      See Also:
        `setLoginModule(LoginModule)`, `GuigenPackage.getInternalAuthenticationGuard_LoginModule()`

    - #### setLoginModule

          void setLoginModule(LoginModule value)

      Sets the value of the '`Login Module`' containment reference.
      Parameters:
        `value` - the new value of the 'Login Module' containment reference.
      See Also:
        `getLoginModule()`

    - #### getParams

          EnvConfigParams getParams()

      Returns the value of the 'Params' containment reference.

      If the meaning of the 'Params' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Params' containment reference.
      See Also:
        `setParams(EnvConfigParams)`, `GuigenPackage.getInternalAuthenticationGuard_Params()`

    - #### setParams

          void setParams(EnvConfigParams value)

      Sets the value of the '`Params`' containment reference.
      Parameters:
        `value` - the new value of the 'Params' containment reference.
      See Also:
        `getParams()`